Experiments
/api/v1/envs/{envId}/experiments
Authorization
AccessToken Authorization<token>
Use access token to access this API. Example: "Authorization: api-MzQ..."
In: header
Path Parameters
envId*string
Format
uuidQuery Parameters
Name?string
Stage?string
FlagId?string
Format
uuidPageIndex?integer
Format
int32PageSize?integer
Format
int32Header Parameters
Organization?string
The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.
Workspace?string
The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.
Response Body
application/json
curl -X GET "https://example.com/api/v1/envs/497f6eca-6276-4993-bfeb-53cbbbba6f08/experiments"{ "success": true, "errors": [ "string" ], "data": { "totalCount": 0, "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "stage": "string", "flagId": "8872ed4e-aef3-4929-9fcf-2d71741365e7", "flagKey": "string", "flagName": "string", "envId": "d85839b9-a5c7-44cb-bab9-87315a911e73", "runCount": 0, "runMethodSummary": "string", "stateSummary": { "hasLearning": true, "runs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "observationStart": "2019-08-24T14:15:22Z", "observationEnd": "2019-08-24T14:15:22Z", "decision": "string", "hasLearning": true } ] }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }}